<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <include
            android:id="@+id/title"
            layout="@layout/title_white_bar" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/tvAll"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:drawableEnd="@mipmap/ic_arrow_down"
                android:drawablePadding="@dimen/dp_4"
                android:paddingTop="@dimen/dp_13"
                android:paddingBottom="@dimen/dp_13"
                android:text="全部"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_13"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

            <TextView
                android:id="@+id/tvTestDate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_25"
                android:layout_marginEnd="@dimen/dp_4"
                android:paddingTop="@dimen/dp_13"
                android:paddingBottom="@dimen/dp_13"
                android:text="用餐时间"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tvAll"
                app:layout_constraintStart_toEndOf="@+id/tvAll"
                app:layout_constraintTop_toTopOf="@+id/tvAll"
                tools:ignore="HardcodedText" />

            <ImageView
                android:id="@+id/ivTestDate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_3"
                android:src="@mipmap/paixu"
                app:layout_constraintBottom_toBottomOf="@+id/tvTestDate"
                app:layout_constraintStart_toEndOf="@+id/tvTestDate"
                app:layout_constraintTop_toTopOf="@+id/tvTestDate" />

            <TextView
                android:id="@+id/tvUploadDate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_25"
                android:paddingTop="@dimen/dp_13"
                android:paddingBottom="@dimen/dp_13"
                android:text="上传日期"
                android:textColor="@color/col_313"
                android:textSize="@dimen/sp_13"
                app:layout_constraintBottom_toBottomOf="@+id/tvAll"
                app:layout_constraintStart_toEndOf="@+id/ivTestDate"
                app:layout_constraintTop_toTopOf="@+id/tvAll"
                tools:ignore="HardcodedText" />

            <ImageView
                android:id="@+id/ivUpload"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_3"
                android:src="@mipmap/paixu_2"
                android:textColor="@color/col_313"
                app:layout_constraintBottom_toBottomOf="@+id/tvUploadDate"
                app:layout_constraintStart_toEndOf="@+id/tvUploadDate"
                app:layout_constraintTop_toTopOf="@+id/tvUploadDate" />

            <TextView
                android:id="@+id/tvNumAll"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_16"
                android:textColor="@color/col_c7c"
                android:textSize="@dimen/sp_12"
                app:layout_constraintBottom_toBottomOf="@+id/tvAll"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tvAll"
                tools:text="共8条" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/mRefresh"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:layout_marginTop="@dimen/dp_2">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/mRecycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <com.scwang.smart.refresh.footer.ClassicsFooter
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_60"
            android:gravity="center_vertical"
            android:layout_marginBottom="@dimen/dp_20"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/mTvManage"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_50"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:layout_weight="1"
                android:background="@drawable/shape_ten_click"
                android:gravity="center"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                android:text="管理"
                android:textStyle="bold"
                android:textColor="@color/col_8D0"
                android:textSize="@dimen/sp_18" />

            <TextView
                android:id="@+id/mDelete"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_50"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:layout_weight="1"
                android:background="@drawable/shape_btn_delete_bg"
                android:gravity="center"
                android:padding="@dimen/dp_10"
                android:text="删除"
                android:textStyle="bold"
                android:textColor="@color/col_2628"
                android:textSize="@dimen/sp_18"
                android:visibility="gone" />

            <TextView
                android:id="@+id/mAddData"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_50"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:layout_weight="1"
                android:background="@drawable/shape_btn_select_bg"
                android:gravity="center"
                android:padding="@dimen/dp_10"
                android:text="上传饮食"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_18" />

            <TextView
                android:id="@+id/tvChange"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_50"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:layout_weight="1"
                android:background="@drawable/selector_change"
                android:enabled="false"
                android:gravity="center"
                android:padding="@dimen/dp_10"
                android:text="修改"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_18"
                android:visibility="gone" />

        </LinearLayout>

    </LinearLayout>

</FrameLayout>